from util import *
from algo import *
"""
The A value of the algorithm is the sound speed divided by the frequency or 0.059 mm, which gives about 17 samples per mm. 
The B value considered for this results 0,35 mm which corresponds the resolution of our transducer x-y scanning driving system.
Dans le cas de notre etude avec le dataset Shear_transform, nous avons des fréquences nominales de 55 kHz (ondes de cisaillement)
measurement was performed using a sampling rate of 2 MHz
"""
if __name__ == "__main__":
    dossier = "Dataset/Shear_transform"
    fichiers_selectionnes = ['Shear_x001-x101_y{:03d}_Rot00_transform.csv'.format(i) for i in range(10, 62)]

    pre_volume = np.array(lire_fichier_csv(dossier, fichiers_selectionnes))
    volume = pre_volume[:, ::4, :]

    image = volume[0, :, :]

    win = 10
    A = 1
    B = 1

    # Application de l'algorithme SAFT
    result = saft_algorithm(image, win, A, B)